#tp-wrapper {container-name: tp-produktowe;container-type: inline-size;--tp-font-size: 14px;;--tp-font-xs-size: 2.7cqw;--tp-font-sm-size: 2.1cqw;--tp-font-md-size: 1.4cqw;}
#tp-wrapper #tp-description{
    --tp-gutter-x: 10px;
    --tp-gutter-y: 0;
      width: 100%;
      padding-right: calc(var(--tp-gutter-x) * 0.5);
      padding-left: calc(var(--tp-gutter-x) * 0.5);
      margin-right: auto;
      margin-left: auto;      
    .tp-row {--tp-gutter-x: 10px;--tp-gutter-y: 0; display: flex;flex-wrap: wrap; margin-top: calc(-1 * var(--tp-gutter-y));margin-right: calc(-0.5 * var(--tp-gutter-x));margin-left: calc(-0.5 * var(--tp-gutter-x));}
    .tp-row > *{box-sizing: border-box;flex-shrink: 0;width: 100%;max-width: 100%; padding-right: calc(var(--tp-gutter-x) * 0.5);padding-left: calc(var(--tp-gutter-x) * 0.5);margin-top: var(--tp-gutter-y);}
}
#tp-wrapper #tp-description {
    font-family: MyriadProLight, Helvetica,Arial,sans-serif;
    font-size: var(--tp-font-size);line-height: 1.5em;
    width: 100%;margin: 0 auto;box-sizing: border-box;overflow: hidden;
    * {box-sizing: border-box !important;overflow: hidden;padding: 0;margin: 0;text-align: inherit;}
*::before, *::after{box-sizing: border-box;}
    .tp-text-center{text-align: center !important;}
    .tp-p-0{padding: 0 !important;}
    .tp-ph-0{padding-left: 0em !important;padding-right: 0em !important;}
    .tp-pv-1{padding-top: 1em !important;padding-bottom: 1em !important;}
    .tp-pv-2{padding-top: 2em !important;padding-bottom: 2em !important;}
    .tp-pb-2{padding-bottom: 2em !important;}
    .tp-mb-2{margin-bottom: 2em !important;}
    .tp-mt-0{margin-top: 0em !important;}
    .tp-mt-2{margin-top: 2em !important;}
    .tp-mv-2{margin-top: 2em !important;margin-bottom: 2em !important;}
.tp-gy-2{--tp-gutter-y: 5px;}
.tp-gy-2{--tp-gutter-y: 10px;}
    .tp-d-none {display: none !important;}
}
#tp-wrapper #tp-description [id^="tp-slide"]{
    min-width: 320px;
    h3{font-size: 2.1em !important;line-height: 1.2em;margin-bottom: 0;margin-top: .83em;font-weight: normal;}
    h4{font-size: 1.3em;margin: .5em 0 0;}
    h4 + p{font-size: 1em;margin: .5em 0 0;}
p, figcaption{font-size: 1.12em;margin: 1em 0;margin-bottom: .83em;margin-top: .83em;}
    sup{font-size: 0.6em;}
    .tp-content {overflow: hidden;padding-left: 1em;padding-right: 1em;padding-bottom: .5em;}
    .tp-content p {font-size: 1.3em;margin: 0.5em 0 .5em;line-height: 1.4em;}
    .tp-content *{text-wrap: balance;}
    figure{position: relative;}
    figcaption{text-align: center;}
    img{display: block;margin: 0 auto;}
    img.tp-img-fluid{max-width: 100%;width: 100%;margin: 0 auto;padding: 0}
    img.tp-img-ico{width: auto;max-width: 100%;margin: 0 auto;display: inline-block;vertical-align: middle;}
    .tp-col-12 {flex: 0 0 auto;max-width: 100%;}
    .tp-align-items-center {align-items: center !important;}
    .tp-justify-content-start {justify-content: flex-start !important;}
    .tp-justify-content-center {justify-content: center !important;}
}
@container tp-produktowe (min-width: 420px) {
    #tp-wrapper #tp-description{font-size: var(--tp-font-xs-size);}
}
@container tp-produktowe (min-width: 576px) {
    #tp-wrapper #tp-description {
        font-size: var(--tp-font-sm-size);
    }    
    #tp-wrapper #tp-description [id^="tp-slide"]{
        .tp-col-sm-4 {flex: 0 0 auto;width: 33.333333%;}    
        .tp-justify-content-sm-center {justify-content: center !important;}
    }
}
@container tp-produktowe (min-width: 736px) {
    #tp-wrapper #tp-description {
        font-size: var(--tp-font-md-size);
        .tp-text-md-start{text-align: left !important;}
        .tp-text-md-center{text-align: center !important;}
        .tp-d-md-none {display: none !important;}
        .tp-d-md-block {display: block !important;}
        .tp-pl-md-0{padding-left: 0em !important;}
    }    
    #tp-wrapper #tp-description [id^="tp-slide"]{
        max-width: 100%;
        .tp-row-cols-md-2 > * {flex: 0 0 auto;width: 50%;}
        .tp-row-cols-md-3 > * {flex: 0 0 auto;width: 33.3333333333%;}
    }
    #tp-wrapper #tp-description [id^="tp-slide"] .tp-row {
        .tp-col-md-5 {flex: 0 0 auto;width: 41.666667%;}
        .tp-col-md-6 {flex: 0 0 auto;width: 50%;}
        .tp-col-md-7 {flex: 0 0 auto;width: 58.333333%;}
    }
}                
@container tp-produktowe (max-width: 575.98px) {
    #tp-wrapper #tp-description [id^="tp-slide"]{
        font-size: var(--tp-font-size);
        h3{font-size: 1.6em !important;text-align: left;margin-bottom: .3em;}
        p{font-size: 1em;}
        .tp-content p{font-size: 1em;text-align: left;margin-bottom: 1em;}
    }
}
#tp-wrapper #tp-description {
    background-color: white;
    * {color: #32343a;}
}
#tp-wrapper #tp-description [id^="tp-slide"]{
     .num-oval {border: 1px solid #000;display: inline-block;width: 2em;line-height: 2em;border-radius: 50%;}
    .bg-color{padding-left: 1em !important;padding-right: 1em !important;}
    counter-reset: item;
}
#tp-wrapper #tp-description [id^="tp-slide"] .download-app img{height: 100px;}
#tp-wrapper #tp-description [id^="tp-slide"] [class*="tp-i"] > *{margin-bottom: 1em;}
#tp-wrapper #tp-description [id^="tp-slide"] [class*="tp-i"] h4{margin-bottom: 0;}
#tp-wrapper #tp-description [id^="tp-slide"] [class*="tp-i"] p{margin-top: 0;}
#tp-wrapper #tp-description {
    video{max-width: 100%;}
}
#tp-wrapper #tp-description span{.tp-name, .tp-model, .tp-nwrap, .tp-nw{white-space: nowrap;}}
#tp-wrapper #tp-description [id^="tp-slide"]{
.tp-bg, .tp-bg > div{background-repeat: no-repeat;}
    .tp-bg > * {margin-top:0;}
    .tp-bg-top > :first-child{background-position: center bottom;background-size: 100% auto;}
    .tp-bg-top > :last-child{padding-left: 0;padding-right: 0;}
    .tp-bg-md-left > :first-child {background-image: none;}
}
#tp-wrapper #tp-description {
    #tp-slide1 {
        font-size: 1.4em;
        .tp-content p {padding-bottom: 0;}
        *{color: white !important;}
        background-color: #977e60;
        > .tp-bg > :first-child{background-image: url(//f00.esfr.pl/si_upload/OPR/TP-LINK/tplink_tapoc120_v1/img/01-sm-bg.webp);}
        span.tp-model{font-size: 1.2em;line-height: 1.4em;font-weight: 500;display: inline-block;color: #fff;background: #005eac;border-radius: 1em;padding: 2px;vertical-align: middle;min-width: 6em;height: 1.5em;text-align: center;}        
        .tp-img-ico{height: 2.2em;}
    }
#tp-slide3{
       .tp-float-point{display: flow;}
    }
    #tp-slide4{
        background-color: #f1f0f5;
    }
#tp-slide6 {
        background-color: #f8f8f9;
        }
#tp-slide9 {
        background-color: #f6f6f8 !important;
        div.tp-punkt{font-size: .8em;}
        p.tp-przypis{font-size: .8em;color: gray;}
    }
}
@container tp-produktowe (min-width: 736px) {
    #tp-wrapper #tp-description [id^="tp-slide"]{
        .tp-bg:not([class*="tp-bg-"]):not([class*="tp-bg-sm-"]):not([class*="tp-bg-md-"]) > :first-child{background-image: none !important;}
        .tp-bg.tp-bg-md-slide[class*="tp-bg-"] > :first-child{background-image: none !important;}
        .tp-bg > * {margin-top:0;display: flex;flex-direction: column;}
.tp-bg-md-left{align-items: stretch !important;}
        .tp-bg-md-left > :first-child{background-position: right;background-size: 100% auto;padding-right: 0 !important;padding-left: 0 !important;}
        .tp-bg-md-left > :last-child{padding-left: 0 !important;}
.tp-bg-md-slide{background-position: center center;background-size: auto 100%;}
        .tp-bg-md-slide .tp-content{max-width: 80%;}
    }
    #tp-wrapper #tp-description {
         #tp-slide1 {
            font-size: 1.4em;
            .tp-bg > :first-child{background-image: url(//f00.esfr.pl/si_upload/OPR/TP-LINK/tplink_tapoc120_v1/img/01-bg.webp);}
            .tp-content{font-size: .85em;padding-left: 6% !important;margin-top: 0;}
        }
#tp-slide6 {
            .tp-content{padding-left: 10% !important;}
        }
        #tp-slide7 {
            .tp-bg-md-slide{background-image: url(//f00.esfr.pl/si_upload/OPR/TP-LINK/tplink_tapoc120_v1/img/07-bgs.webp);aspect-ratio: 1000/422;}
            .tp-content{padding-left: 10% !important;padding-top: 4em;}
        }
        #tp-slide8 {
            figcaption{padding-left: 1em;padding-right: 1em;}
        }
        #tp-slide9 {
            h3{padding-top: 0;}
            div.tp-punkt img{float: left;margin-right: 1em;margin-top: .7em;}
        }
#tp-slide11 {
            .tp-content{padding-left: 2% !important;}
        }
    }
}
